HEADERS = ../src/interface/include/interface_graphique_plateau.h ../src/interface/include/interface_graphique_fin_de_jeu.h ../include/controle.h include/Fonction_Test_fin_de_partie.h include/Fonction_Test_controle.h ../include/variables_globales.h ../include/fin_de_partie.h ../include/initialisation.h

vpath src
vpath include

interface_graphique_fin_de_jeu.o: ../src/interface/src/interface_graphique_fin_de_jeu.c $(HEADERS)
	gcc -c ../src/interface/src/interface_graphique_fin_de_jeu.c -o interface_graphique_fin_de_jeu.o -I../include -I../src/interface/include -lSDL_image -lSDL -lSDL_ttf

interface_graphique_plateau.o: ../src/interface/src/interface_graphique_plateau.c $(HEADERS)
	gcc -c ../src/interface/src/interface_graphique_plateau.c -o interface_graphique_plateau.o -I../include -I../src/interface/include -lSDL_image -lSDL -lSDL -lSDL_ttf

controle.o: ../src/controle.c $(HEADERS)
	gcc -c ../src/controle.c -o controle.o -I../include -I../src/interface/include

fin_de_partie.o: ../src/fin_de_partie.c $(HEADERS)
	gcc -c ../src/fin_de_partie.c -o fin_de_partie.o -I../src/interface/include -I../include

initialisation.o: ../src/initialisation.c $(HEADERS)
	gcc -c ../src/initialisation.c -o initialisation.o -I../include -I./src/interface/include

Test_controle.o: src/Test_controle.c $(HEADERS)
	gcc -c src/Test_controle.c -o Test_controle.o -Wall -I${HOME}/local/include -I./include -I../include -L${HOME}/local/lib -lcunit

Test_fin_de_partie.o: src/Test_fin_de_partie.c $(HEADERS)
	gcc -c src/Test_fin_de_partie.c -o Test_fin_de_partie.o -Wall -I${HOME}/local/include -I./include -I../include -L${HOME}/local/lib -lcunit

Test_fin_de_partie: Test_fin_de_partie.o fin_de_partie.o controle.o interface_graphique_fin_de_jeu.o initialisation.o interface_graphique_plateau.o
	gcc Test_fin_de_partie.o fin_de_partie.o controle.o interface_graphique_fin_de_jeu.o interface_graphique_plateau.o initialisation.o -o Test_fin_de_partie -Wall -I${HOME}/local/include -I./include -I../include -L${HOME}/local/lib -lcunit -lSDL_image -lSDL -lSDL_ttf

Test_controle: initialisation.o Test_controle.o controle.o
	gcc Test_controle.o controle.o initialisation.o -o Test_controle -Wall -I${HOME}/local/include -I./include -I../include -L${HOME}/local/lib -lcunit


clean:
	-rm -f interface_graphique_plateau.o
	-rm -f fin_de_partie.o
	-rm -f interface_graphique_fin_de_jeu.o
	-rm -f initialisation.o
	-rm -f Test_controle.o
	-rm -f Test_fin_de_partie.o
	-rm -f controle.o

clean_All:
	-rm -f interface_graphique_plateau.o
	-rm -f fin_de_partie.o
	-rm -f interface_graphique_fin_de_jeu.o
	-rm -f initialisation.o
	-rm -f controle.o
	-rm -f Test_controle.o
	-rm -f Test_fin_de_partie.o
	-rm -f Test_controle
	-rm -f Test_fin_de_partie
